Last Comment Bug 638785 - "Edit This Bookmark" and "Remove Bookmark" label is missing in Edit Bookmark dialog
: "Edit This Bookmark" and "Remove Bookmark" label is missing in Edit Bookmark ...
Status: RESOLVED FIXED
[4rc][fixed by bug 726440]
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Marco Bonardo [::mak]
:
Mentors:
: 647717 (view as bug list)
Depends on: 725784 726440
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-04 08:01 PST by aravindm
Modified: 2013-11-13 02:20 PST (History)
17 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot shows Edit This Bookmark dialog missing the labels (140.87 KB, image/jpeg)
2011-03-04 08:01 PST, aravindm
no flags Details
same problem, 12.0beta, Mac (52.03 KB, image/png)
2012-03-21 12:16 PDT, Zack Weinberg (:zwol)
no flags Details

Description aravindm 2011-03-04 08:01:18 PST
Created attachment 516891 [details]
screenshot shows Edit This Bookmark dialog missing the labels

Mozilla/5.0 (Windows NT 5.1; rv:2.0) Gecko/20100101 Firefox/4.0
BuildID=20110303194838

Steps:
-------
1)Load any website: http://www.mozilla.org/
2)Click on the "Star" in the right end of the location bar
3)Click on the "Star" again
4)Edit Bookmark dialog pops up

Result: Edit Bookmark dialog misses the following strings:
"Edit This Bookmark" heading and,
"Remove Bookmark" button label
Comment 1 Marcia Knous [:marcia - use ni] 2011-03-04 11:20:07 PST
Not seen using Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0 with a clean profile.

Do you have any extensions enabled?  Does the behavior reproduce on every site?
Comment 2 Mike Beltzner [:beltzner, not reading bugmail] 2011-03-04 11:40:33 PST
Blocking for now, but odd that we can't reproduce. What's the locale that you're using, aaravind? Could this be an l10n merge issue?
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-03-04 11:49:18 PST
I couldn't repro this with any of en-GB, en-US, and en-ZA, using the 64-bit Linux RC builds.  Though en-ZA is missing its start page...
Comment 4 Marco Bonardo [::mak] 2011-03-04 12:11:54 PST
We had a softblocker about this happening intermittently, but We neve found steps to reproduce it. The intermittent problem started about when the popup got the arrow style.
Comment 5 :Ehsan Akhgari (busy, don't ask for review please) 2011-03-04 14:40:39 PST
(In reply to comment #4)
> We had a softblocker about this happening intermittently, but We neve found
> steps to reproduce it. The intermittent problem started about when the popup
> got the arrow style.

Can you point me to the changeset in question so that I can start some guesswork on why this might be happening?
Comment 6 Marco Bonardo [::mak] 2011-03-04 15:31:24 PST
The changeset was http://hg.mozilla.org/mozilla-central/rev/62d5d8bc0ac8 (5 Dec), note that we are not sure if it's related, I only know we got the first reports after that change.  So if you're looking for a real regression window, there is none. Related bugs are bug 617956 and bug 619532 that have been filed around 10 Dec (about the same dates I saw this locally, but I reproduced only 2 times from then).
Comment 7 Marco Bonardo [::mak] 2011-03-04 15:37:49 PST
I've seen 2 live cases of this, in one case just opening a new window fixed the problem (bad state in the browser helper that manages the panel probably. I supposed a out-of-sync ._batching property), in the other case restarting the browser was the only way to fix the problem.
Comment 8 Andreas Jung 2011-03-06 04:04:31 PST
I've got this bug once in 
Mozilla/5.0 (Windows NT 5.1; rv:2.0b12pre) Gecko/20110216 Firefox/4.0b12pre
(Built from http://hg.mozilla.org/mozilla-central/rev/b4aa47ca42c1).
Opening a new window did not help, I had to restart Firefox.

I didn't see any errors in the error console. (Though it was some time after browser start when this happened, so if there was an error right after start up, I probably missed it.)

(I initially planned to report this bug sooner, but school had priority)

I don't think the change to the arrow style is the cause of this bug, but it might make this bug happen more often.

I've got this bug once before the arrow style landed, back in 2009, in:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1pre)
Gecko/20090620 Shiretoko/3.5pre
=> Bug 499561
Comment 9 aravindm 2011-03-06 21:32:35 PST
Not able to reproduce the issue anymore on the same system.But i reported this initially after checking 3-4 times in new profiles. Later when i tried to reproduce this, i'am not able to see this issue anymore.
Comment 10 maggot05 2011-04-04 11:25:53 PDT
I encounter this every time.

https://bugzilla.mozilla.org/show_bug.cgi?id=647717
Comment 11 Alexander L. Slovesnik 2011-04-04 11:47:07 PDT
*** Bug 647717 has been marked as a duplicate of this bug. ***
Comment 12 Marco Bonardo [::mak] 2011-04-06 09:33:45 PDT
maggot, which add-on do you have?
Comment 13 maggot05 2011-04-06 15:57:26 PDT
I have the following add-ons:

Adblock Plus
Ctrl+Tab
Delicious(its "hacked" so I can use it)
Diigo Toolbar
Download Statusbar
Fast Dial
forcastfox
noscript
library detector
firebug
web developer toolbar

I did manage to try this on a 32-bit OS and that bug didn't show-up, but any 64-bit system I use it does. I only have 1 32-bit os installed(my laptop), everything else is 64-bit.

the add-ons are more or less installed on each machine i use.

hope this was of help.
Comment 14 maggot05 2011-04-07 17:18:21 PDT
something of interest, I also now notice this on Ubuntu x64 with Firefox 3.5

seems to be an issue with 64-bit systems.
Comment 15 Zack Weinberg (:zwol) 2012-03-21 12:16:47 PDT
Created attachment 608052 [details]
same problem, 12.0beta, Mac

This is old, and I never used to see it before, but I've got it now on my Mac with Firefox 12.0 (not sure which beta exactly).  The screen shot is of Google+ but it happens on any website.

(Is there a bug for "there should be a way to remove that damn star from the URL bar? I *never* use it and I frequently click on it by mistake.)
Comment 16 Marco Bonardo [::mak] 2012-03-21 12:31:04 PDT
Actually, it's possible (or even almost certain), all recent reproductions of this bug are just due to bug 725784.  We workarounded that in bug 726440.

(In reply to Zack Weinberg (:zwol) from comment #15)
> (Is there a bug for "there should be a way to remove that damn star from the
> URL bar? I *never* use it and I frequently click on it by mistake.)

no, a simple userChrome tweak can be used though.
Comment 17 Frank Yan (:fryn) 2012-03-21 17:44:24 PDT
(In reply to Marco Bonardo [:mak] from comment #16)
> Actually, it's possible (or even almost certain), all recent reproductions
> of this bug are just due to bug 725784.  We workarounded that in bug 726440.

Do you think we can/should fix this in a similar way or just wait for bug 725784?
(The above question might not make sense. I'm actually not totally sure what is going on here. :P )

(In reply to Zack Weinberg (:zwol) from comment #15)
> (Is there a bug for "there should be a way to remove that damn star from the
> URL bar? I *never* use it and I frequently click on it by mistake.)

We're planning to move the bookmark star outside of the URL bar. At that point, you'll be able to remove it via toolbar customization. https://people.mozilla.com/~shorlander/files/australis-designSpecs/australis-designSpecs-windows7-mainWindow.html
Comment 18 Zack Weinberg (:zwol) 2012-03-21 19:19:05 PDT
(In reply to Frank Yan (:fryn) from comment #17)

> We're planning to move the bookmark star outside of the URL bar. At that
> point, you'll be able to remove it via toolbar customization.

\o/
Comment 19 Marco Bonardo [::mak] 2012-03-22 03:38:48 PDT
(In reply to Frank Yan (:fryn) from comment #17)
> (In reply to Marco Bonardo [:mak] from comment #16)
> > Actually, it's possible (or even almost certain), all recent reproductions
> > of this bug are just due to bug 725784.  We workarounded that in bug 726440.
> 
> Do you think we can/should fix this in a similar way or just wait for bug
> 725784?

Don't understand the similar way thing, bug 726440 already workarounded this bug, just in Firefox 13 though.  May still be visible in any previous version. Fixing the xbl bug would clearly be better more generally.
Comment 20 Frank Yan (:fryn) 2012-03-22 13:25:04 PDT
(In reply to Marco Bonardo [:mak] from comment #19)
> bug 726440 already workarounded this
> bug, just in Firefox 13 though.  May still be visible in any previous
> version. Fixing the xbl bug would clearly be better more generally.

Ah, shouldn't we mark this as RESOLVED FIXED, depending on bug 726440, and [fixed-in-bug-726440] ?
It's misleading to leave it open, if this specific issue is fixed in mozilla-central.
If you want to revert the workaround once the XBL bug is fixed, then we should file a "Revert bookmark label workaround" bug that depends on the XBL bug.

Thanks for fixing bug 726440, btw. :)
Comment 21 Marco Bonardo [::mak] 2012-03-22 17:25:29 PDT
yeah, probably better.  No I don't want to revert the workaround, cause after the change in XBL, it is effectively avoiding useless work (before, replacing a node with itself was a no-op, that's no more true), so it's actually not just a workaround but also a valid fix.

Note You need to log in before you can comment on or make changes to this bug.